//
//  ViewController.swift
//  Pastel
//
//  Created by cruz on 05/05/2017.
//  Copyright (c) 2017 cruz. All rights reserved.
//

import UIKit
import Pastel

class ViewController: UIViewController {
    @IBOutlet weak var loginButton: UIButton! {
        didSet {
            loginButton.layer.borderColor = UIColor.white.withAlphaComponent(0.12).cgColor
            loginButton.layer.borderWidth = 1.0
            loginButton.layer.cornerRadius = 4
        }
    }
    override func viewDidLoad() {
        super.viewDidLoad()

        let pastelView = PastelView(frame: view.bounds)

        //MARK: -  Custom Direction

        pastelView.startPastelPoint = .bottomLeft
        pastelView.endPastelPoint = .topRight

        //MARK: -  Custom Duration
        
        pastelView.animationDuration = 3.0

        //MARK: -  Custom Color

        pastelView.setColors([UIColor(red: 156/255, green: 39/255, blue: 176/255, alpha: 1.0),
                              UIColor(red: 255/255, green: 64/255, blue: 129/255, alpha: 1.0),
                              UIColor(red: 123/255, green: 31/255, blue: 162/255, alpha: 1.0),
                              UIColor(red: 32/255, green: 76/255, blue: 255/255, alpha: 1.0),
                              UIColor(red: 32/255, green: 158/255, blue: 255/255, alpha: 1.0),
                              UIColor(red: 90/255, green: 120/255, blue: 127/255, alpha: 1.0),
                              UIColor(red: 58/255, green: 255/255, blue: 217/255, alpha: 1.0)])

        pastelView.startAnimation()
        view.insertSubview(pastelView, at: 0)
    }

}
